---@diagnostic disable: missing-return, lowercase-global
---@meta

---@alias auraFilter
---| 'RAID'
---| 'CANCELABLE'
---| 'HARMFUL'
---| 'HELPFUL'
---| 'NOT_CANCELABLE'
---| 'PLAYER'
---| 'RAID'

---@param unit string
---@param index number
---Cancels a buff on the player. CancelUnitBuff becomes a protected function while under combat lockdown.
---@overload fun(unit: string, index: number)
---@overload fun(unit: string, index: number, rank: string)
---@overload fun(unit: string, index: number, rank: string, filter: auraFilter)
---@overload fun(unit: string, name: string)
---@overload fun(unit: string, name: string, rank: string)
---@overload fun(unit: string, name: string, rank: string, filter: auraFilter)
function CancelUnitBuff(unit, index, name, rank, filter) end
